////////////////////////////////////////////////////////////////////////////////
//
//                  ObjectLab is sponsoring QALab
// 
// Based in London, we are world leaders in the design and development 
// of bespoke applications for the Securities Financing markets.
// 
// <a href="http://www.objectlab.co.uk/open">Click here to learn more</a>
//           ___  _     _           _   _          _
//          / _ \| |__ (_) ___  ___| |_| |    __ _| |__
//         | | | | '_ \| |/ _ \/ __| __| |   / _` | '_ \
//         | |_| | |_) | |  __/ (__| |_| |__| (_| | |_) |
//          \___/|_.__// |\___|\___|\__|_____\__,_|_.__/
//                   |__/
//
//                   http://www.ObjectLab.co.uk
// ---------------------------------------------------------------------------
//
//QALab is released under the GNU General Public License.
//
//QALab: Collects QA Statistics from your build over time.
//2005+, ObjectLab Ltd
//
//This library is free software; you can redistribute it and/or
//modify it under the terms of the GNU General Public
//License as published by the Free Software Foundation; either
//version 2.1 of the License, or (at your option) any later version.
//
//This library is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//General Public License for more details.
//
//You should have received a copy of the GNU General Public
//License along with this library; if not, write to the Free Software
//Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//
////////////////////////////////////////////////////////////////////////////////
package net.objectlab.qalab.util;

import java.text.SimpleDateFormat;

/**
 * Tags used in QALab.
 *
 * @author Benoit Xhenseval
 * @version $Revision: 187 $
 */
public final class QALabTags {
    /**
     * date attribute in QALab XML.
     */
    public static final String DATE_ATTRIBUTE = "date";

    /**
     * type attribute in QALab XML.
     */
    public static final String TYPE_ATTRIBUTE = "type";

    /**
     * statvalue attribute in QALab XML.
     */
    public static final String STATVALUE_ATTRIBUTE = "statvalue";

    /**
     * filecount attribute in QALab XML.
     */
    public static final String FILECOUNT_ATTRIBUTE = "filecount";

    /**
     * id attribute in QALab XML.
     */
    public static final String ID_ATTRIBUTE = "id";

    /**
     * path attribute in QALab XML.
     */
    public static final String PATH_ATTRIBUTE = "path";

    /**
     * file tag in QALab XML.
     */
    public static final String FILE_TAG = "file";

    /**
     * result tag in QALab XML.
     */
    public static final String RESULT_TAG = "result";

    /**
     * qalab tag in QALab XML.
     */
    public static final String QALAB_TAG = "qalab";

    /** Summary tag. */
    public static final String SUMMARY_TAG = "summary";

    /** Summary result tag. */
    public static final String SUMMARY_RESULT_TAG = "summaryresult";

    /** default format yyyy-MM-dd HH:mm:ss. */
    public static final SimpleDateFormat DEFAULT_DATETIME_FORMAT =
        new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");

    /** default format yyyy-MM-dd. */
    public static final SimpleDateFormat DEFAULT_DATE_FORMAT =
        new SimpleDateFormat("yyyy-MM-dd");

    /**
     * line separator.
     */
    public static final String LINE_END = System.getProperty("line.separator");

    public static final int DATE_ONLY_SIZE = 10;

    /**
     * Avoid instantiation.
     */
    private QALabTags() {
    }
}
/*
 *                   ObjectLab is sponsoring QALab
 * 
 * Based in London, we are world leaders in the design and development 
 * of bespoke applications for the securities financing markets.
 * 
 * <a href="http://www.objectlab.co.uk/open">Click here to learn more about us</a>
 *           ___  _     _           _   _          _
 *          / _ \| |__ (_) ___  ___| |_| |    __ _| |__
 *         | | | | '_ \| |/ _ \/ __| __| |   / _` | '_ \
 *         | |_| | |_) | |  __/ (__| |_| |__| (_| | |_) |
 *          \___/|_.__// |\___|\___|\__|_____\__,_|_.__/
 *                   |__/
 *
 *                     www.ObjectLab.co.uk
 */
